For the complete documentation index, see llms.txt. This page is also available as Markdown.

Materials

List materials

get
Required scopes
This endpoint requires the following scopes:
  • : Read materials
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Query parameters
filter[subject_id]integerOptional
filter[objective_id]integerOptional
filter[draft]booleanOptional
filter[available]booleanOptional
filter[updated_since]string · date-timeOptional
sortstringOptional

Comma-separated; prefix with - for descending. Allowed: title, created_at, updated_at.

page[number]integerOptional
page[size]integer · max: 100Optional
Responses
200

materials listed

application/json
metaobjectOptional
linksobjectOptional
get/api/v2/materials
GET /api/v2/materials HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "type": "text",
      "attributes": {
        "title": "text",
        "description": "text",
        "total_score": 1,
        "privacy_level": 1,
        "draft": true,
        "available": true,
        "created_at": "text",
        "updated_at": "text",
        "objective": {},
        "subject": {},
        "teacher": {}
      },
      "relationships": {}
    }
  ],
  "meta": {},
  "links": {}
}

Fetch a material

get
Required scopes
This endpoint requires the following scopes:
  • : Read materials
Authorizations
OAuth2clientCredentialsRequired

OAuth 2.0 Client Credentials. Exchange your client_id/client_secret at the token URL for a short-lived Bearer token, then call the API with it.

Token URL:
Path parameters
idintegerRequired
Responses
200

material found

application/json
get/api/v2/materials/{id}
GET /api/v2/materials/{id} HTTP/1.1
Host: api.masteryconnect.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "data": {
    "id": "text",
    "type": "text",
    "attributes": {
      "title": "text",
      "objective": {},
      "subject": {},
      "teacher": {},
      "items": [
        {
          "id": "text",
          "item_type": 1,
          "points": 1,
          "objective": {}
        }
      ]
    },
    "relationships": {}
  }
}

Last updated

Was this helpful?